#
# spec file for package opera (Version 8.51)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  XFree86 dos2unix update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib dos2unix fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm update-desktop-files

Name:         opera
URL:          http://www.opera.com/
License:      Commercial
Group:        Productivity/Networking/Web/Browsers
Autoreqprov:  on
%ifarch %ix86 x86_64 ppc ppc64
Version:      8.51
Release:      5
Requires:     qt3
%else
Version:      8.51
Release:      5
%endif
Summary:      fast Web browser
Source:       opera-8.51-20051114.5-shared-qt.i386-en.tar.bz2
Source1:      opera-8.51-20051114.3-shared-qt.ppc-en.tar.bz2
Source2:      opera-8.51-20051114.1-static-qt.sparc-en.tar.bz2
Source3:      deutsch.lng.bz2
Source4:      british_english.lng.bz2
Source5:      catala.lng.bz2
Source6:      dansk.lng.bz2
Source7:      espanol.lng.bz2
Source8:      espanol_castellano.lng.bz2
Source9:      francais.lng.bz2
Source10:     italiano.lng.bz2
Source11:     nederlands.lng.bz2
Source12:     norsk_bokmal.lng.bz2
Source13:     norsk_nynorsk.lng.bz2
Source14:     portugues_do_brasil.lng.bz2
Source15:     russian.lng.bz2
Source16:     svenska.lng.bz2
Source17:     bulgarian.lng.bz2
Source18:     finnish.lng.bz2
Source19:     japanese.lng.bz2
Source20:     polski.lng.bz2
Source21:     cesky.lng.bz2
Source40:     search.ini.gz
Source50:     filehandler.ini
Source60:     opera.reg
NoSource:     0
NoSource:     1
NoSource:     2
NoSource:     3
NoSource:     4
NoSource:     5
NoSource:     6
NoSource:     7
NoSource:     8
NoSource:     9
NoSource:     10
NoSource:     11
NoSource:     12
NoSource:     13
NoSource:     14
NoSource:     15
NoSource:     16
NoSource:     17
NoSource:     18
NoSource:     19
NoSource:     20
NoSource:     21
ExclusiveArch: %ix86 x86_64 sparc sparc64 ppc ppc64
Patch:        %{name}-%{version}-assume-kernel.patch

%description
a lightweight browser offering good JavaScript, but no Java support



Authors:
--------
    Opera Software A/S

%prep
%setup -q -n opera-8.51-20051114.5-shared-qt.i386-en -b 1 -b 2
%patch

%build

%install
%ifarch sparc sparc64
cd ../opera-8.51-20051114.1-static-qt.sparc-en
%endif
%ifarch ppc ppc64
cd ../opera-8.51-20051114.3-shared-qt.ppc-en
%endif
./install.sh -v --prefix=/usr \
		--wrapperdir=/usr/bin \
		--docdir=%{_docdir}/%{name} \
		--sharedir=/usr/share/%{name}
cat <<EOT >/etc/profile.d/%{name}.sh
export OPERADIR=/usr/share/%{name}
EOT
%ifarch %ix86 x86_64 ppc ppc64
for i in %{_sourcedir}/*.lng.bz2; do
	bunzip2 -dc $i >/usr/share/%{name}/locale/$(basename $i .bz2)
done
#gunzip -dc %{SOURCE5} >/usr/share/%{name}/locale/search.ini
%endif
# Remove plugins we cannot support:
rm -f /usr/lib/opera/plugins/operamotifwrapper-[12]
# Install default (empty) filehandler (#49218)
cp -f %{SOURCE50} /usr/share/%{name}/ini/
# Install the registration file
cp -f %{SOURCE60} /usr/share/%{name}
# Read the reg file in the config
mv /usr/share/opera/config/* /etc/
rmdir /usr/share/opera/config
echo "Registration Directory=/usr/share/opera" >> /etc/opera6rc
%suse_update_desktop_file -i opera Network WebBrowser

%files
%defattr(-,root,root)
%if %suse_version > 820
/usr/share/applications/opera.desktop
%endif
/usr/share/%{name}
%doc %{_docdir}/%{name}
%config /etc/profile.d/%{name}.sh
%config /etc/opera6rc
%config /etc/opera6rc.fixed
/usr/bin/opera
/usr/share/icons/opera.xpm
/usr/share/pixmaps/opera.xpm
/usr/lib/opera

%changelog -n opera
* Thu Dec 01 2005 - meissner@suse.de
- Use the libstdc++.so.5 version of 8.51 release.
* Mon Nov 28 2005 - ltinkl@suse.cz
- VUL-0: opera command line url shell command injection (#134905)
- update to 8.51
* Thu Sep 22 2005 - ltinkl@suse.cz
- update to 8.50, fixing security issue #117980
* Mon Jul 18 2005 - ltinkl@suse.cz
- fix kernel incompatibility (#95941)
* Wed Jun 22 2005 - ltinkl@suse.cz
- update to 8.01, fixing several security issues (#91179 and others)
* Thu Jun 09 2005 - ltinkl@suse.cz
- backport Opera 8.0 to older SUSE versions (#65566)
* Wed Mar 09 2005 - ltinkl@suse.cz
- don't trick user into running arbitrary commands (#64218)
* Fri Dec 03 2004 - ltinkl@suse.cz
- fix missing library after update (#46952)
* Fri Sep 24 2004 - ltinkl@suse.cz
- fixed "phishing attack" vulnerability (#42279)
- fixed .desktop file clash with XFree86 files (#43431)
- fixed usage of vulnerable version of Qt library (#43526)
- fixed local file detection vulnerability (#43923)
* Thu Jun 10 2004 - ltinkl@suse.cz
- update to 7.51 which solves #40501 and #41628
* Wed Jan 07 2004 - pthomas@suse.de
- Update to 7.50 preview that fixes a security bug.
- Remove old language files, new ones aren't available yet.
* Tue Sep 16 2003 - aj@suse.de
- Remove broken requires.
* Thu Aug 28 2003 - pthomas@suse.de
- Use the operamotifwrapper plugin from opera 7.20b as this
  is linked against the current libXm.so.3.
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Fri Aug 15 2003 - pthomas@suse.de
- Update ix86 and ppc to 7.11.
- Update sparc to 6.12 beta.
- Add most of the available language files.
* Wed Nov 13 2002 - ro@suse.de
- comment out kde2 stuff
* Wed Aug 28 2002 - uli@suse.de
- update -> 6.03 for i386 & compatibles
* Wed Aug 14 2002 - ro@suse.de
- removed gnome1 support
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Thu Jul 04 2002 - sndirsch@suse.de
- added german help module (Bug #16341)
* Wed Jun 05 2002 - stepan@suse.de
- patch install script to recognize hammer architecture.
* Wed May 29 2002 - uli@suse.de
- update -> 6.01 (secfix)
* Mon May 27 2002 - uli@suse.de
- added German localization from http://www.blauwal.at/opera
  (bug #16341)
* Wed May 15 2002 - uli@suse.de
- update -> 6.0 final (x86 only)
* Fri Feb 22 2002 - uli@suse.de
- update -> 6.0 (x86 only)
* Wed Jan 23 2002 - ro@suse.de
- build using kde2-compat
- will need port to kde3 (icon pathes only)
* Mon Sep 17 2001 - uli@suse.de
- initial package, x86/sparc/ppc only
